/**
 * Copyright (C) 2010-2012 enStratus Networks Inc
 *
 * ====================================================================
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 * ====================================================================
 */

package org.dasein.cloud.jclouds.atmos.storage;

import org.dasein.cloud.jclouds.atmos.Atmos;
import org.dasein.cloud.storage.AbstractStorageServices;

import javax.annotation.Nonnull;

public class AtmosStorageServices extends AbstractStorageServices {
    private Atmos atmos;
    
    public AtmosStorageServices(@Nonnull Atmos atmos) { this.atmos = atmos; }
    
    @Override
    public @Nonnull BlobStore getBlobStoreSupport() {
        return new BlobStore(atmos);
    }
}
